<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseAlarmNoticeResultMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseAlarmNoticeResult">
        <id column="id" property="id" />
        <result column="receiver" property="receiver" />
        <result column="notice_result" property="noticeResult" />
        <result column="alarm_id" property="alarmId" />
        <result column="notice_time" property="noticeTime" />
        <result column="is_read" property="isRead" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
